//TITLE Demo using a histogram to change the Dalitz plot eta -> 3pi

{

    makeDistributionManager()->Disable("eta_hadronic_decay");

    PDalitzDistribution *decay = 
	new PDalitzDistribution("my_hadronic_decay",
				"Eta matrix element for decay into charged pions");
    decay->Add("eta, parent");
    decay->Add("pi0, daughter, primary");
    decay->Add("pi+, daughter, s1");
    decay->Add("pi-, daughter, s2");
  

    //N.B.: this demo uses the histogram generated by user_eta_3pi_decay.C
    //But this is only a demo!
    //One can exchange the histogram as well as the commands to use it:
    TFile *f     = new TFile("histo.root");
    TH2F *hf1old = new TH2F(*hf1);
    decay->SetMax(hf1old->GetMaximum());
    decay->AddHistogram(hf1old, "_x = (_s2 + _primary)->M2(); _y = (_s1 + _primary)->M2(); _f = Eval();");

    makeDistributionManager()->Add(decay);

    TH2F *hf1new = new TH2F("hf1new", "", 100, 0.06, .2, 100, 0.06, .2);

    PReaction my_reaction("2.2", "p", "p", "p p eta [pi+ pi- pi0]", NULL, 1, 0, 0, 0);
    
    my_reaction.Do(hf1new, "_x = ([pi-] + [pi0])->M2() ; _y = ([pi+] + [pi0])->M2()");
    my_reaction.Print();
    my_reaction.Loop(100000);
    hf1new->Draw("box");

}
